Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: Why 4.09? What happened with 4.10 afterwards?  (Read 392 times)

0 Members and 1 Guest are viewing this topic.

DavidHayabusa

  • member
  • Offline Offline
  • Posts: 32
Why 4.09? What happened with 4.10 afterwards?
« on: July 03, 2018, 06:08:08 AM »

Hi all greetings. I was just browsing the site and came upon this forum. I saw that many of you prefer to play the game up to 4.09.

Can you explain to me why? Why this version is important to you and from 4.10 on wards are not?

Thanks :)
Logged

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 15500
  • Ask me if I care.
    • Friendly Fire isn't.
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #1 on: July 03, 2018, 06:37:28 AM »

4.09 is important because it was the last version of IL-2 1946 before Team Daidalos took over the "official" development of further patches. Not everyone is happy with what TD did, and those who aren't are most happy with the latest version before that incident.
At the same time, 4.09 was the first version to see a very successful mod package called "Ultrapack 2" to be applied to.

4.10 is important because it saw the first really "all inclusive" mod packages for both off- and online gameplay (DBW and Ultrapack 3).
It's still important because we kept the Ultrapack development going and our SAS Gameserver for instance is running UP3 + Patch Pack.
There's a set of features available in UP3 which are quite genuine, most notably the full featured "Zuti Moving Dogfight Server" (MDS).

4.11 is utterly unimportant.

4.12 is important because it's the base for the most comprehensive modpack ever seen - BAT.
Furthermore it's also the base for another modpack - VP - which is focused on WW2 content.

4.13 is currently the last official patch version, but it's been mod-unfriendly to an extent that we decided not to follow that route anymore.
We do feature a mod activator ("Modact") for it and there are mods available for this version (some here, some elsewhere), but you won't find anything that remotely compares to what is available in BAT and VP modpack for instance.

4.14... let's see what we get when it's done and if it's ever done.

]cheers[
Mike
Logged
Learn. Challenge. Improve. - Storebror on Flickr - In loving memory of the times when I cared...

JG13~Jäger

  • Plus facile a dire qu'a faire
  • Skinner
  • member
  • Offline Offline
  • Posts: 389
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #2 on: July 03, 2018, 06:51:00 AM »

Quote
4.14... let's see what we get when it's done and if it's ever done.
So if I understand Il-2 still in development ?
Logged
Processeur : AMD Athlon II X2 270 3.40 Ghz -- Carte mère : ASROCK N68-VS3 UCC --Carte Graphique : Sapphire radeon HD 4670 1Go -- RAM : 4Go DDR3

_Hans

  • member
  • Offline Offline
  • Posts: 46
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #3 on: July 03, 2018, 11:18:10 PM »

I can only speak for myself...

I am not 100% happy with the later versions, but that's beside the point...

More importantly, I started modding with the first sound mods that came out.  Since then I've done a lot of mods that reflected my own personal interest in WW2.  Upgrading to 4.10 or any future version would require me to start from scratch, and I'm not 100% sure that I want to invest that much time/effort yet.
Logged

bomberkiller

  • Storebror's certified hero
  • Modder
  • member
  • Offline Offline
  • Posts: 2756
  • Bf-109G-6R6 = Bomber-Killer
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #4 on: July 04, 2018, 01:36:02 AM »

Quote
At the same time, 4.09 was the first version to see a very successful mod package called "Ultrapack 2" to be applied to.

...and Tigers wonderful soundmod UV2!

I got them all, HSFX, 4.13, C.U.P., BAT... and I have also my very old 4.09 & UV2.

The best ever is: 4.10.1 & DBW & Tigers UV3!

You want to fly Jets? Jump to BAT.  ;)

Best regards, Gerhard  :)
Logged
FAC  N° 9 ...cheers

pilotpimpf

  • member
  • Offline Offline
  • Posts: 200
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #5 on: July 04, 2018, 01:57:07 AM »

Nice concise explanation Mike, maybe this should be a sticky in the new member safety area.
Newbies often ask this question  :)
Logged

KiwiBiggles

  • Modder
  • member
  • Offline Offline
  • Posts: 524
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #6 on: July 04, 2018, 10:39:48 AM »

I have a highly customised 4.09 SAS Modact install, a nearly standard 4.12 VP Modpack, and a bone stock 4.13 install.  I love 'em all.  ;D

Some of my favourite offline campaigns were written for 4.08 and 4.09 and play best in that environment--later changes to the AI can upset the gameplay balance the campaign builder intended.  Some mods were not continued for later versions, or were updated and improved, but are still fun to play in their original state.

There was a particular SAS style of mod in those days emphasizing "liteness" and manual installation that is still enjoyable to work with.

All in all 4.09 rebel installs have a unique IL-2 flavour that is still worth the disk space!  :)

KB

Logged

vpmedia

  • Modder
  • member
  • Offline Offline
  • Posts: 5934
  • www.vpmedia.hu/il2
    • VPMEDIA SKINS
Re: Why 4.09? What happened with 4.10 afterwards?
« Reply #7 on: July 04, 2018, 01:31:52 PM »

Some of the problems with using 4.09:

-AI is unable to do deflection shooting
-AI can see thru clouds
-No theatre specific aircraft skins
-No stationary aircraft skins
-No taxi to takeoff feature
-No formation controls
-No bomb camera
-No bomb fuzes
-No fullscreen map
-No improved fps friendly stock effects
-No random loading screens
-No native widescreens support

Check the 4.10-4.12 readme files for more info.
Pages: [1]   Go Up
 

Page created in 0.771 seconds with 25 queries.